## Name

gfs_acl_to_text — convert a Gfarm ACL to text

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_acl_to_text(` | acl, |
| str_p, |
| len_p`)`; |

`gfarm_acl_t acl`;
`char **str_p`;
`size_t *len_p`;

## INPUT ARGUMENTS

`acl`

  An ACL structure type.

`str_p`

  A pointer to the long text form string of the ACL.

`len_p`

  If this pointer is not NULL, the function returns the length of the string, not including the terminating '\0' character.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

free(3), gfs_acl_to_any_text(3)